import request from '../utils/request'

const api = {
  Create: '/Order/CreateOrder',
  Detail: '/Order/Detail',
  GetMyOrder: '/Order/GetMyOrders'
}

export function createOrder(parameter) {
  return request({
    url: api.Create,
    method: 'post',
    data: parameter
  })
}

export function orderDeatil(parameter) {
  return request({
    url: api.Detail,
    method: 'get',
    params: parameter
  })
}

export function getMyOrder(parameter) {
  return request({
    url: api.GetMyOrder,
    method: 'get',
    params: parameter
  })
}
